libebook::FictionBook2StrikethroughContext Class Reference documentation

Public Member Functions | Private Member Functions | List of all members
libebook::FictionBook2StrikethroughContext Class Reference

`#include <FictionBook2TextContext.h>`

Inheritance diagram for libebook::FictionBook2StrikethroughContext:

## Public Member Functions
| FictionBook2StrikethroughContext (FictionBook2ParserContext *parentContext, FictionBook2Style &style)
Public Member Functions inherited from libebook::FictionBook2StyleContextBase
| FictionBook2StyleContextBase (FictionBook2ParserContext *parentContext, const FictionBook2Style &style)
Public Member Functions inherited from libebook::FictionBook2ParserContext
| FictionBook2ParserContext (FictionBook2ParserContext *parentContext, FictionBook2Collector *collector=nullptr)
| Create a new context with `parentContext` as parent. More...
FictionBook2XMLParserContext * | leaveContext () const override
| Destroy this context and return parent. More...
FictionBook2Collector * | getCollector () const
| Get the collector. More...
FictionBook2ParserContext * | getParentContext () const
| Get the parent context. More...
Public Member Functions inherited from libebook::FictionBook2XMLParserContext
virtual | ~FictionBook2XMLParserContext ()=0
virtual FictionBook2XMLParserContext * | leaveContext () const =0
| Destroy this context and return parent. More...
virtual FictionBook2XMLParserContext * | element (const FictionBook2TokenData &name, const FictionBook2TokenData &ns)=0
| Create a context for parsing a child element. More...
virtual void | startOfElement ()=0
| Signalize the start of an element. More...
virtual void | endOfElement ()=0
| Signalize the end of an element. More...
virtual void | attribute (const FictionBook2TokenData &name, const FictionBook2TokenData *ns, const char *value)=0
| Process an attribute. More...
virtual void | endOfAttributes ()=0
| Signalize the end of attributes. More...
virtual void | text (const char *value)=0
| Process textual content of an element. More...

## Private Member Functions
void | startOfElement () override
| Signalize the start of an element. More...

## Additional Inherited Members
Protected Member Functions inherited from libebook::FictionBook2StyleContextBase
FictionBook2Style & | getStyle ()
FictionBook2TextFormat & | getTextFormat ()
FictionBook2XMLParserContext * | element (const FictionBook2TokenData &name, const FictionBook2TokenData &ns) override
| Create a context for parsing a child element. More...
void | endOfElement () override
| Signalize the end of an element. More...
void | attribute (const FictionBook2TokenData &name, const FictionBook2TokenData *ns, const char *value) override
| Process an attribute. More...
void | endOfAttributes () override
| Signalize the end of attributes. More...
void | text (const char *value) override
| Process textual content of an element. More...

## Constructor & Destructor Documentation

## ◆ FictionBook2StrikethroughContext()

libebook::FictionBook2StrikethroughContext::FictionBook2StrikethroughContext | ( | FictionBook2ParserContext * | parentContext,
|  | FictionBook2Style & | style
| ) |  |

## Member Function Documentation

## ◆ startOfElement()

void libebook::FictionBook2StrikethroughContext::startOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implements libebook::FictionBook2XMLParserContext.

The documentation for this class was generated from the following files:

- FictionBook2TextContext.h
- FictionBook2TextContext.cpp